# Class: AbstractCheckbox

## AbstractCheckbox

#### new AbstractCheckbox()

Source:
  - ui/base/abstract-checkbox.js, line 7

### Extends

- AbstractControl

### Members

#### active :boolean

This property is true when the checkbox is being interacted with, either through mouse click or touch event, otherwise false.

##### Type:

- boolean

Default Value:
  - false
Source:
  - ui/base/abstract-checkbox.js, line 54

#### checked :boolean

This property reflect the checked state of the checkbox.

##### Type:

- boolean

Default Value:
  - false
Source:
  - ui/base/abstract-checkbox.js, line 71

#### enabled :boolean

Enables or disables the checkbox from user input. When this property is set to ```false```, the "montage--disabled" CSS class is applied to the checkbox's DOM element during the next draw cycle. When set to ```true``` the "montage--disabled" CSS class is removed from the element's class list.

##### Type:

- boolean

Source:
  - ui/base/abstract-checkbox.js, line 86

#### handlePress

Handle press event from press composer

Source:
  - ui/base/abstract-checkbox.js, line 137

### Events

#### action

Dispatched when the checkbox is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`event` | Event |

Source:
  - ui/base/abstract-checkbox.js, line 13

#### action

Dispatched when the button is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Type:

- Event

##### Properties:

Name | Type | Description
--- | --- | ---
`detail` | Map | pass custom data in this property

Overrides:
  - AbstractControl#event:action
Source:
  - ui/base/abstract-control.js, line 18